@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin :0px;
    font-family: "Poppins", sans-serif;
}
body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    
    height: 100vh;
}

input {
    width: 40vw;
    padding: 15px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 15px;
    border-radius: 40px;
}



  .search {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
    flex-direction: column;
  }
  form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  h4 {
    color: gray;
  }

  .head {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  h1 {
    &:hover {
        color: rgb(0, 140, 255);
        cursor: pointer;
        transition: 0.3s;
    }
  }

  .urls {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    gap:20px
  }
  a {
    color: black;
    text-decoration: none;
    font-weight: bold;
    &:hover {
        
        color: rgb(0, 140, 255);
        transition: 0.3s;
    }
  }

  /* From Uiverse.io by CristianMontoya98 */ 
.btn {
 width: 6.5em;
 height: 2.3em;
 margin: 0.5em;
 background: black;
 color: white;
 border: none;
 border-radius: 0.625em;
 font-size: 15px;
 font-weight: bold;
 cursor: pointer;
 position: relative;
 z-index: 1;
 overflow: hidden;
}

button:hover {
 color: black;
}

button:after {
 content: "";
 background: white;
 position: absolute;
 z-index: -1;
 left: -20%;
 right: -20%;
 top: 0;
 bottom: 0;
 transform: skewX(-45deg) scale(0, 1);
 transition: all 0.5s;
}

button:hover:after {
 transform: skewX(-45deg) scale(1, 1);
 -webkit-transition: all 0.5s;
 transition: all 0.5s;
}

.datetime {
    margin-top: 20px;
    font-size: 14px;
    color: black;
    background-color: #f4f4f4;
    padding: 10px 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    transition: all 0.3s;
    cursor: pointer;
}

